#!/usr/bin/env node
const { execSync } = require('child_process');

const args = process.argv.slice(2);

// Install Vue Wrapper fraemwork as a Dev dependency
execSync('npm install -D @arrkid/vue-wrapper-framework', { stdio: 'inherit' });

if (args[0] === 'create') {
    execSync('npx create-vue@latest', { stdio: 'inherit' });

} else if(args[0] === 'import') {
    const modules = args.slice(1);
    modules.forEach(module => {
      try {
        execSync(`npm install @arrkid/${module}`, { stdio: 'inherit' });

      } catch (error) {
        console.error(`Failed to install ${module}`);
      }
    });
    process.exit(1);
} else {
    console.error('Invalid command. Use create or import');
    process.exit(1);
}